Bug 961970 - MongoHQ Port Blocked
MongoHQ Port Blocked
Status: CLOSED UPSTREAM
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 17:07 EDT by T Fevens
Modified: 2015-05-14 19:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-22 20:24:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description T Fevens 2013-05-10 17:07:16 EDT
Description of problem:
When attempting to connect to a MongoHQ hosted DB, the connection is being refused.


Version-Release number of selected component (if applicable):
N/A

How reproducible:
http://d3history-tfevens.rhcloud.com/
Simply test a connection to a remove MongoHQ server.

try {
	$connection = new Mongo('mongodb://[[username]]:[[password]]@alex.mongohq.com:10082/[[db-name]]');
	$db			= $connection->selectDB(DB_NAME);
	if(DB_AUTHENTICATION) {
		$db->authenticate(DB_USER, DB_PASS);
	}
} catch (MongoConnectionException $e) {
	echo 'Caught exception: ',  $e->getMessage(), "\n"; 
}


Steps to Reproduce:
This error is being shown at http://d3history-tfevens.rhcloud.com/
  
Actual results:
Caught exception: Failed to connect to: alex.mongohq.com:10082: Permission denied

Expected results:
Connection established, data loaded, and the website appearing.

Additional info:
Comment 1 T Fevens 2013-05-10 17:51:39 EDT
It should be mentioned that after diagnosing in IRC it was suggested that port 10082 was being blocked, and could be opened, to allow the connection.
Comment 2 Jhon Honce 2013-05-22 20:24:55 EDT
User story created to track progress: https://trello.com/c/RWKLCIup

Note You need to log in before you can comment on or make changes to this bug.